package com.bonus.core.device.android.common.vo;

import com.bonus.framework.config.deserializer.TimeDeserializer;
import com.bonus.framework.config.serializer.TimeSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalTime;

public class DeviceBaseRecipeVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("店铺档口id")
   private Long stallId;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("档口是否营业")
   private Integer stallIfOpen;
   @ApiModelProperty("档口营业时间  档口是否营业")
   @JsonSerialize(
      using = TimeSerializer.HH_MM_SS.class
   )
   @JsonDeserialize(
      using = TimeDeserializer.class
   )
   private LocalTime stallStaTime;
   @ApiModelProperty("档口营业结束时间")
   @JsonSerialize(
      using = TimeSerializer.HH_MM_SS.class
   )
   @JsonDeserialize(
      using = TimeDeserializer.class
   )
   private LocalTime stallEndTime;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getStallIfOpen() {
      return this.stallIfOpen;
   }

   public LocalTime getStallStaTime() {
      return this.stallStaTime;
   }

   public LocalTime getStallEndTime() {
      return this.stallEndTime;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setStallIfOpen(final Integer stallIfOpen) {
      this.stallIfOpen = stallIfOpen;
   }

   @JsonDeserialize(
      using = TimeDeserializer.class
   )
   public void setStallStaTime(final LocalTime stallStaTime) {
      this.stallStaTime = stallStaTime;
   }

   @JsonDeserialize(
      using = TimeDeserializer.class
   )
   public void setStallEndTime(final LocalTime stallEndTime) {
      this.stallEndTime = stallEndTime;
   }

}
